View Issue Details

IDProjectCategoryView StatusLast Update
0000793SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.3 
Target Version3.1.4Fixed in Version3.1.4 
Summary0000793: Columns of type OID and LO in Postgres do not work with sym_trigger.use_stream_lobs set to 1
DescriptionColumns of type OID and LO in Postgres do not work with sym_trigger.use_stream_lobs set to 1.

ExtractDataReader.enhanceWithLobsFromSourceIfNeeded needs to wrap the oid column with sym_largeobject to pull the data that is referenced by the oid column.
TagsNo tags attached.

Activities

mhanes

2012-09-07 08:37

developer   ~0000080

Assigned for a thorough review.

Related Changesets

SymmetricDS: master 27207bd8

2012-09-07 08:36:34

eegeek

Details Diff
0000793: Columns of type OID and LO in Postgres do not work with sym_trigger.use_stream_lobs set to 1
0000793
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/ISqlTemplate.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ExtractDataReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/derby/DerbyJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/firebird/FirebirdJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/greenplum/GreenplumJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/greenplum/GreenplumPlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/h2/H2JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/hsqldb/HsqlDbJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/hsqldb2/HsqlDb2JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/informix/InformixJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/interbase/InterbaseJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mysql/MySqlJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlJdbcSqlTemplate.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgresLobHandler.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sybase/SybaseJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlReadCursor.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/SymmetricLobHandler.java Diff File

Issue History

Date Modified Username Field Change
2012-08-29 16:19 chenson New Issue
2012-08-29 16:56 chenson Description Updated View Revisions
2012-08-30 10:58 chenson Assigned To => chenson
2012-08-30 10:58 chenson Status new => assigned
2012-09-05 09:37 chenson Assigned To chenson => mhanes
2012-09-05 09:37 chenson Target Version => 3.1.4
2012-09-07 08:36 mhanes Summary Columns of type OID in Postgres do not work with sym_trigger.use_stream_lobs set to 1 => Columns of type OID and LO in Postgres do not work with sym_trigger.use_stream_lobs set to 1
2012-09-07 08:36 mhanes Description Updated View Revisions
2012-09-07 08:37 mhanes Note Added: 0000080
2012-09-07 08:37 mhanes Status assigned => resolved
2012-09-07 08:37 mhanes Fixed in Version => 3.1.4
2012-09-07 08:37 mhanes Resolution open => fixed
2012-09-07 08:37 mhanes Assigned To mhanes => chenson
2012-09-07 19:53 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6250
2015-07-30 21:49 Changeset attached => SymmetricDS master 27207bd8